## python-muranoclient 0.8.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
python-glanceclient>=1.2.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
httplib2>=0.7.5 # MIT
iso8601>=0.1.9 # MIT
six>=1.9.0 # MIT
Babel>=1.3 # BSD
pyOpenSSL>=0.14 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
PyYAML>=3.1.0 # MIT
yaql>=1.1.0 # Apache 2.0 License

oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0

## python-muranoclient 0.7.0

=== debian/changelog ===
python-muranoclient (0.7.0-1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 08 Oct 2015 19:24:22 +0000

python-muranoclient (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 14:09:53 +0200

python-muranoclient (0.5.9-2) unstable; urgency=medium

  * Disable unit tests failing with mock >= 1.3 (Closes: #796463).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2015 18:10:28 +0000

python-muranoclient (0.5.9-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 May 2015 07:49:19 +0000

python-muranoclient (0.5.7-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Apr 2015 20:29:43 +0000

python-muranoclient (0.5.5-1) experimental; urgency=low

  * Initial release (Closes: #762787).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 15:50:43 +0800

=== debian/control ===
Source: python-muranoclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-hacking (>= 0.10),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-openssl (>= 0.14),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.6.1),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python-yaql (>= 1.0.1),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-muranoclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-muranoclient.git
Homepage: https://github.com/openstack/python-muranoclient

Package: python-muranoclient
Architecture: all
Depends: python-babel,
         python-glanceclient (>= 1:0.18.0),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-openssl (>= 0.14),
         python-oslo.log (>= 1.8.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-yaml,
         python-yaql (>= 1.0.1),
         ${misc:Depends},
         ${python:Depends},
Description: cloud-ready application catalog - Python 2.x client module
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This is a client for Murano. There's a Python API (the "muranoclient"
 module), and a command-line script ("murano").

Package: python-muranoclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: cloud-ready application catalog - client doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation for the client.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/python-muranoclient.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-muranoclient; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	cp doc/build/man/python-muranoclient.1 doc/build/man/murano.1
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-muranoclient-doc/usr/share/doc/python-muranoclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-muranoclient 0.8.3

=== debian/changelog ===
python-muranoclient (0.8.3-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 16:34:28 +0000

python-muranoclient (0.8.3-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 09:21:55 +0100

python-muranoclient (0.8.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * Align (Build-Depends) with upstream.

  [ Thomas Goirand ]
  * New upstream release.
  * Align (Build-Depends) with upstream.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 09:15:05 +0100

python-muranoclient (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove Add_keystone_v3_support_to_client.patch applied upstream.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2016 10:33:34 +0000

python-muranoclient (0.7.1-3) unstable; urgency=medium

  * Add upstream patch for Keystone API v3 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2015 13:37:53 +0000

python-muranoclient (0.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:09:58 +0000

python-muranoclient (0.7.1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Oct 2015 15:46:14 -0400

=== debian/control ===
Source: python-muranoclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:1.2.0),
                     python-hacking (>= 0.10),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:2.0.0),
                     python-mock (>= 1.3),
                     python-openssl (>= 0.14),
                     python-openstackclient (>= 2.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-prettytable,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     python3-babel,
                     python3-fixtures (>= 1.3.1),
                     python3-glanceclient (>= 1:1.2.0),
                     python3-httplib2,
                     python3-iso8601,
                     python3-keystoneclient (>= 1:2.0.0),
                     python3-mock (>= 1.3),
                     python3-openssl (>= 0.14),
                     python3-openstackclient (>= 2.1.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 2.0.0),
                     python3-oslo.serialization (>= 2.0.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-prettytable,
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     python3-yaql (>= 1.1.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-muranoclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-muranoclient.git
Homepage: https://github.com/openstack/python-muranoclient

Package: python-muranoclient
Architecture: all
Depends: python-babel,
         python-glanceclient (>= 1:1.2.0),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:2.0.0),
         python-openssl (>= 0.14),
         python-openstackclient (>= 2.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-yaml,
         python-yaql (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-muranoclient-doc
Description: cloud-ready application catalog - Python 2.7 client module
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package provides the Python 2.7 module.

Package: python3-muranoclient
Architecture: all
Depends: python3-babel,
         python3-glanceclient (>= 1:1.2.0),
         python3-httplib2,
         python3-iso8601,
         python3-keystoneclient (>= 1:2.0.0),
         python3-openssl (>= 0.14),
         python3-openstackclient (>= 2.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 2.0.0),
         python3-oslo.serialization (>= 2.0.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-yaml,
         python3-yaql (>= 1.1.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-muranoclient-doc
Description: cloud-ready application catalog - Python 3.x client module
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package provides the Python 3.x module.

Package: python-muranoclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: cloud-ready application catalog - client doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation for the client.

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,25 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-muranoclient; \
 	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-muranoclient; \
+	done
+	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
+	mv $(CURDIR)/debian/python-muranoclient/usr/bin/murano $(CURDIR)/debian/python-muranoclient/usr/bin/python2-murano
+	mv $(CURDIR)/debian/python3-muranoclient/usr/bin/murano $(CURDIR)/debian/python3-muranoclient/usr/bin/python3-murano
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests"
-	set -e ; for i in 2.7 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

=== debian/watch ===
version=3
https://github.com/stackforge/python-muranoclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-muranoclient 0.11.0

=== debian/changelog ===
python-muranoclient (0.11.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 02 Sep 2016 19:04:37 +0000

python-muranoclient (0.11.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 15:25:34 +0100

python-muranoclient (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pgkos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Removed CVE-2016-4972_Use_yaml.SafeLoader_instead_of_yaml.Loader.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 09:57:54 +0200

python-muranoclient (0.8.4-2) experimental; urgency=medium

  * CVE-2016-4972: RCE vulnerability in Openstack Murano using insecure YAML
    tags. Adds upstream patch: Use yaml.SafeLoader instead of yaml.Loader.
    (Closes: #828063).

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2016 19:12:11 +0000

python-muranoclient (0.8.4-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to new one

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 05 Jun 2016 23:23:25 +0000

=== debian/control ===
Source: python-muranoclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-hacking (>= 0.10),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:2.0.0),
                     python-mock (>= 2.0),
                     python-openssl (>= 0.14),
                     python-osc-lib (>= 1.0.2),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.16.0),
                     python-prettytable,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     python3-babel (>= 2.3.4),
                     python3-fixtures (>= 3.0.0),
                     python3-glanceclient (>= 1:2.3.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-keystoneclient (>= 1:2.0.0),
                     python3-mock (>= 2.0),
                     python3-openssl (>= 0.14),
                     python3-osc-lib (>= 1.0.2),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 2.0.0),
                     python3-oslo.serialization (>= 2.0.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-prettytable,
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-yaml,
                     python3-yaql (>= 1.1.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-muranoclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-muranoclient.git
Homepage: https://github.com/openstack/python-muranoclient

Package: python-muranoclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-glanceclient (>= 1:2.3.0),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:2.0.0),
         python-openssl (>= 0.14),
         python-osc-lib (>= 1.0.2),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-yaml,
         python-yaql (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-muranoclient-doc,
Description: cloud-ready application catalog - Python 2.7 client module
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package provides the Python 2.7 module.

Package: python3-muranoclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-glanceclient (>= 1:2.3.0),
         python3-iso8601 (>= 0.1.11),
         python3-keystoneclient (>= 1:2.0.0),
         python3-openssl (>= 0.14),
         python3-osc-lib (>= 1.0.2),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 2.0.0),
         python3-oslo.serialization (>= 2.0.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-yaml,
         python3-yaql (>= 1.1.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-muranoclient-doc,
Description: cloud-ready application catalog - Python 3.x client module
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package provides the Python 3.x module.

Package: python-muranoclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: cloud-ready application catalog - client doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation for the client.

## python-muranoclient 0.11.1

=== debian/changelog ===
python-muranoclient (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 23:32:16 +0100

python-muranoclient (0.11.0-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:11:42 +0200

python-muranoclient (0.11.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 18:47:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-muranoclient
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Corey Bryant <corey.bryant@canonical.com>,
            Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -64,8 +63,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-muranoclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-muranoclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-muranoclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-muranoclient -b debian/newton
 Homepage: https://github.com/openstack/python-muranoclient
 
 Package: python-muranoclient

## python-muranoclient 0.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
python-glanceclient>=2.7.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
iso8601>=0.1.11 # MIT
six>=1.9.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
pyOpenSSL>=0.14 # Apache-2.0
requests>=2.14.2 # Apache-2.0
PyYAML>=3.10.0 # MIT
yaql>=1.1.0 # Apache 2.0 License
osc-lib>=1.7.0 # Apache-2.0
murano-pkg-check>=0.3.0 # Apache-2.0

oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0

=== debian/changelog ===
python-muranoclient (0.14.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 18:44:43 +0000

python-muranoclient (0.14.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/no-intersphinx.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 13:37:20 -0400

python-muranoclient (0.12.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use pypi.debian.net.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:26 +0100

python-muranoclient (0.11.1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Dec 2016 08:54:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,87 +1,93 @@
 Source: python-muranoclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Corey Bryant <corey.bryant@canonical.com>,
            Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
                      python-fixtures (>= 3.0.0),
-                     python-glanceclient (>= 1:2.3.0),
-                     python-hacking (>= 0.10),
+                     python-glanceclient (>= 1:2.7.0),
+                     python-hacking (>= 0.12),
                      python-iso8601 (>= 0.1.11),
                      python-keystoneclient (>= 1:2.0.0),
                      python-mock (>= 2.0),
+                     python-murano-pkg-check (>= 0.3.0),
                      python-openssl (>= 0.14),
-                     python-osc-lib (>= 1.0.2),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-osc-lib (>= 1.7.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
+                     python-oslo.log (>= 3.22.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-prettytable,
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
-                     python-tempest (>= 1:12.1.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-yaml,
                      python-yaql (>= 1.1.0),
                      python3-babel (>= 2.3.4),
                      python3-fixtures (>= 3.0.0),
-                     python3-glanceclient (>= 1:2.3.0),
+                     python3-glanceclient (>= 1:2.7.0),
                      python3-iso8601 (>= 0.1.11),
                      python3-keystoneclient (>= 1:2.0.0),
                      python3-mock (>= 2.0),
+                     python3-murano-pkg-check (>= 0.3.0),
                      python3-openssl (>= 0.14),
-                     python3-osc-lib (>= 1.0.2),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-osc-lib (>= 1.7.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 2.0.0),
+                     python3-oslo.log (>= 3.22.0),
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-prettytable,
-                     python3-requests (>= 2.10.0),
+                     python3-requests (>= 2.14.2),
                      python3-requests-mock (>= 1.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest (>= 1:12.1.0),
+                     python3-tempest (>= 1:16.1.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-yaml,
                      python3-yaql (>= 1.1.0),
                      subunit,
-                     tempest (>= 1:12.1.0),
+                     tempest (>= 1:16.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-muranoclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-muranoclient -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-muranoclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-muranoclient
 Homepage: https://github.com/openstack/python-muranoclient
 
 Package: python-muranoclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
-         python-glanceclient (>= 1:2.3.0),
+         python-glanceclient (>= 1:2.7.0),
          python-iso8601 (>= 0.1.11),
          python-keystoneclient (>= 1:2.0.0),
+         python-murano-pkg-check (>= 0.3.0),
          python-openssl (>= 0.14),
-         python-osc-lib (>= 1.0.2),
+         python-osc-lib (>= 1.7.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
+         python-oslo.log (>= 3.22.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.16.0),
-         python-pbr (>= 1.6),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-prettytable,
-         python-requests (>= 2.10.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
          python-yaml,
          python-yaql (>= 1.1.0),
@@ -101,18 +107,19 @@
 Package: python3-muranoclient
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
-         python3-glanceclient (>= 1:2.3.0),
+         python3-glanceclient (>= 1:2.7.0),
          python3-iso8601 (>= 0.1.11),
          python3-keystoneclient (>= 1:2.0.0),
+         python3-murano-pkg-check (>= 0.3.0),
          python3-openssl (>= 0.14),
-         python3-osc-lib (>= 1.0.2),
+         python3-osc-lib (>= 1.7.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 2.0.0),
+         python3-oslo.log (>= 3.22.0),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.16.0),
-         python3-pbr (>= 1.6),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
          python3-prettytable,
-         python3-requests (>= 2.10.0),
+         python3-requests (>= 2.14.2),
          python3-six (>= 1.9.0),
          python3-yaml,
          python3-yaql (>= 1.1.0),

## python-muranoclient 1.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
iso8601>=0.1.11 # MIT
six>=1.10.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
pyOpenSSL>=16.2.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
PyYAML>=3.10 # MIT
yaql>=1.1.3 # Apache 2.0 License
osc-lib>=1.8.0 # Apache-2.0
murano-pkg-check>=0.3.0 # Apache-2.0

oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
python-muranoclient (1.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Min version of python-yaql 1.1.1 is enough.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 15:42:11 -0500

=== debian/control ===
Source: python-muranoclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 2.0.0),
 python-murano-pkg-check (>= 0.3.0),
 python-openssl (>= 16.2.0),
 python-openstackdocstheme (>= 1.17.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.1),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-murano-pkg-check (>= 0.3.0),
 python3-openssl (>= 16.2.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.10),
 python3-yaql (>= 1.1.1),
 subunit,
 tempest (>= 1:16.1.0),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-muranoclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-muranoclient
Homepage: https://github.com/openstack/python-muranoclient

Package: python-muranoclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-glanceclient (>= 1:2.8.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-murano-pkg-check (>= 0.3.0),
 python-openssl (>= 16.2.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-muranoclient-doc,
Description: cloud-ready application catalog - Python 2.7 client module
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package provides the Python 2.7 module.

Package: python-muranoclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - client doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation for the client.

Package: python3-muranoclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-glanceclient (>= 1:2.8.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-murano-pkg-check (>= 0.3.0),
 python3-openssl (>= 16.2.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.10),
 python3-yaql (>= 1.1.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-muranoclient-doc,
Description: cloud-ready application catalog - Python 3.x client module
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	cp doc/build/man/python-muranoclient.1 doc/build/man/murano.1
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-muranoclient-doc/usr/share/doc/python-muranoclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
